# Yahoo! UI Library

### yui 3.0.0b1

Yahoo! UI Library > yui > config
Search:
Filters
Show Private Show Protected Show Deprecated

## `static` Class config

The config object contains all of the configuration options for the YUI instance. This object is supplied by the implementer when instantiating a YUI instance. Some properties have default values if they are not supplied by the implementer.

### Properties

#### base - `string`

Base directory for dynamic loading

#### charset - `string`

charset for dynamic nodes

#### combine - `boolean`

Use the YUI combo service to reduce the number of http connections required to load your dependencies For dynamic loading.
Default Value: true if 'base' is not supplied, false if it is.

#### comboBase - `string`

The YUI combo service base dir. Ex: http://yui.yahooapis.com/combo? For dynamic loading.

#### core - `string[]`

A list of modules that defines the YUI core (overrides the default)

#### cssAttributes - `string`

Object literal containing attributes to add to dynamically loaded link nodes.

#### dateFormat - `string`

The default date format

#### debug - `boolean`

Turn debug statements on or off
Default Value: true

#### doc - `Document`

The document associated with the 'win' configuration
Default Value: the document hosting YUI

#### filter - `string|object`

A filter to apply to result urls. This filter will modify the default path for all modules. The default path for the YUI library is the minified version of the files (e.g., event-min.js). The filter property can be a predefined filter or a custom filter. The valid predefined filters are:

DEBUG
  Selects the debug versions of the library (e.g., event-debug.js). This option will automatically include the Logger widget
RAW
  Selects the non-minified version of the library (e.g., event.js).

You can also define a custom filter, which must be an object literal containing a search expression and a replace string:

    myFilter: {
    'searchExp': "-min\\.js",
    'replaceStr': "-debug.js"
    }

For dynamic loading.

#### filters - `object`

Hash of per-component filter specification. If specified for a given component, this overrides the filter config For dynamic loading.

#### force - `string[]`

A list of modules that should always be loaded when required, even if already present on the page.

#### ignore - `string[]`

A list of modules that should never be dynamically loaded

#### injected - `object`

Set to true if the yui seed file was dynamically loaded in order to bootstrap components relying on the window load event and onDOMReady.

#### insertBefore - `string`

Node or id for a node that should be used as the insertion point for new nodes For dynamic loading.

#### jsAttributes - `string`

Object literal containing attributes to add to dynamically loaded script nodes.

#### locale - `string`

The default locale

#### logExclude - `object`

A hash of log sources that should be not be logged. If specified, all sources are logged if not on this list.

#### logInclude - `object`

A hash of log sources that should be logged. If specified, only log messages from these sources will be logged.

#### modules - `function`

A list of module definitions to add to the list of YUI components. These components can then be dynamically loaded side by side with YUI via the use() method.See Loader.addModule for the supported module metadata.

#### onCSS - `function`

Callback for the 'CSSComplete' event. When dynamically loading YUI components with CSS, this property fires when the CSS is finished loading but script loading is still ongoing. This provides an opportunity to enhance the presentation of a loading page a little bit before the entire loading process is done.

#### pollInterval - `int`

The default interval when polling in milliseconds.
Default Value: 20

#### purgethreshold - `int`

The number of dynamic nodes to insert by default before automatically removing them. This applies to script nodes because remove the node will not make the evaluated script unavailable. Dynamic CSS is not auto purged, because removing a linked style sheet will also remove the style definitions.
Default Value: 20

#### root - `string`

The root path to prepend to module names for the combo service. Ex: 3.0.0b1/build/ For dynamic loading.

#### secureBase - `string`

The secure base dir (not implemented) For dynamic loading.

#### throwFail - `boolean`

If throwFail is set, Y.fail will generate or re-throw a JS Error. Otherwise the failure is logged.
Default Value: true

#### timeout - `int`

Number of milliseconds before a timeout occurs when dynamically loading nodes. If not set, there is no timeout.

#### useBrowserConsole - `boolean`

Log to the browser console if debug is on and the browser has a supported console
Default Value: true

#### win - `Window`

The window/frame that this instance should operate in
Default Value: the window hosting YUI

#### windowResizeDelay - `int`

The default interval when polling in milliseconds.
Default Value: 40

Copyright © 2009 Yahoo! Inc. All rights reserved.